## BBSI

The BBSI project provides several scripts to facilitate some tasks.

This project is distributed in the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose.

---

## Content

| Script          | Purpose                                             |
|-----------------|-----------------------------------------------------|
| ff-add-subs     | Adds subtitles to videofile.                        |
| ff-cut-and-save | Saves some fragment from mediafile.                 |
| ff-cut-off      | Deletes some fragment from mediafile.               |
| ff-h265         | Re-encodes video using the H.265 codec.             |
| ff-mp4          | Converts to MP4.                                    |
| ff-save-frame   | Saves some frame from video.                        |
| yt, yt-360, yt-480, yt-720, yt-1080, yt-a | Small wrapper for yt-dlp. |

See the help for each script for details.

---

## Ready-made packages

See: [Download Page on Codeberg](https://codeberg.org/os-18/bbsi/wiki/Download-page)

---

## Dependencies

This project uses
[bash](https://www.gnu.org/software/bash/),
[ffmpeg](https://ffmpeg.org/),
[yt-dlp](https://github.com/yt-dlp/yt-dlp).

---

## Installation

```bash
make install
```

Scripts will be installed to `/usr/local/bin` (`bin` is a directory for programs, `PREFIX` is `usr/local`).

The project Makefile contains variables:

* DESTDIR determines root directory for installing (empty, by default);
* PREFIX is base directory like `usr/local` or `usr`.

Installation directory is defined as `$(DESTDIR)/$(PREFIX)` in the Makefile.

You can install scripts of this project to any other directory, like `$HOME/.local` (script files will be in `$HOME/.local/bin/`):

```bash
make install DESTDIR=$HOME PREFIX=.local
```

Uninstall:

```bash
make uninstall
```

If you installed the project in an alternative directory:

```bash
make uninstall DESTDIR=$HOME PREFIX=.local
```

---

## Feedback

Questions, suggestions, comments, bugs:

**tech.vindex@gmail.com**

Also use the repository service tools.

